summaryrefslogtreecommitdiff
path: root/eclass/qt5-build.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-12-01 03:04:39 +0000
committerV3n3RiX <venerix@redcorelinux.org>2017-12-01 03:04:39 +0000
commit407525b571b48cfd65e1ad7a02d250a927c967c9 (patch)
tree844bea44d85dc7218f54970af1c42cc9d55c3f1a /eclass/qt5-build.eclass
parent89c6c06b8c42107dd231687a1012354e7d3039fc (diff)
gentoo resync : 01.12.2017
Diffstat (limited to 'eclass/qt5-build.eclass')
-rw-r--r--eclass/qt5-build.eclass40
1 files changed, 11 insertions, 29 deletions
diff --git a/eclass/qt5-build.eclass b/eclass/qt5-build.eclass
index 11847bcf0139..7462ab2059b3 100644
--- a/eclass/qt5-build.eclass
+++ b/eclass/qt5-build.eclass
@@ -6,6 +6,7 @@
# qt@gentoo.org
# @AUTHOR:
# Davide Pesavento <pesa@gentoo.org>
+# @SUPPORTED_EAPIS: 6
# @BLURB: Eclass for Qt5 split ebuilds.
# @DESCRIPTION:
# This eclass contains various functions that are used when building Qt5.
@@ -21,9 +22,10 @@ case ${EAPI} in
esac
# @ECLASS-VARIABLE: QT5_MODULE
+# @PRE_INHERIT
# @DESCRIPTION:
# The upstream name of the module this package belongs to. Used for
-# SRC_URI and EGIT_REPO_URI. Must be defined before inheriting the eclass.
+# SRC_URI and EGIT_REPO_URI. Must be set before inheriting the eclass.
: ${QT5_MODULE:=${PN}}
# @ECLASS-VARIABLE: QT5_TARGET_SUBDIRS
@@ -50,19 +52,13 @@ esac
inherit estack flag-o-matic ltprune toolchain-funcs versionator virtualx
HOMEPAGE="https://www.qt.io/"
+LICENSE="|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3"
+SLOT=5/$(get_version_component_range 1-2)
QT5_MINOR_VERSION=$(get_version_component_range 2)
QT5_PATCH_VERSION=$(get_version_component_range 3)
readonly QT5_MINOR_VERSION QT5_PATCH_VERSION
-if [[ ${QT5_MINOR_VERSION} -ge 7 ]]; then
- LICENSE="|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3"
-else
- LICENSE="|| ( LGPL-2.1 LGPL-3 ) FDL-1.3"
-fi
-
-SLOT=5/$(get_version_component_range 1-2)
-
case ${PV} in
5.9999)
# git dev branch
@@ -98,6 +94,7 @@ EGIT_REPO_URI=(
[[ ${QT5_BUILD_TYPE} == live ]] && inherit git-r3
# @ECLASS-VARIABLE: QT5_BUILD_DIR
+# @OUTPUT_VARIABLE
# @DESCRIPTION:
# Build directory for out-of-source builds.
case ${QT5_BUILD_TYPE} in
@@ -131,10 +128,7 @@ EXPORT_FUNCTIONS src_unpack src_prepare src_configure src_compile src_install sr
# Unpacks the sources.
qt5-build_src_unpack() {
if tc-is-gcc; then
- local min_gcc4_minor_version=5
- if [[ ${QT5_MINOR_VERSION} -ge 7 || ${PN} == qtwebengine ]]; then
- min_gcc4_minor_version=7
- fi
+ local min_gcc4_minor_version=7
if [[ $(gcc-major-version) -lt 4 ]] || \
[[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt ${min_gcc4_minor_version} ]]; then
eerror "GCC version 4.${min_gcc4_minor_version} or later is required to build this package"
@@ -268,21 +262,9 @@ qt5-build_src_install() {
if [[ ${PN} == qtcore ]]; then
pushd "${QT5_BUILD_DIR}" >/dev/null || die
- local qmake_install_target=install_qmake
- if [[ ${QT5_MINOR_VERSION} -ge 7 ]]; then
- # qmake/qmake-aux.pro
- qmake_install_target=sub-qmake-qmake-aux-pro-install_subtargets
- fi
-
- local global_docs_install_target=
- if [[ ${QT5_MINOR_VERSION} -le 6 && ${QT5_PATCH_VERSION} -le 2 ]]; then
- global_docs_install_target=install_global_docs
- fi
-
set -- emake INSTALL_ROOT="${D}" \
- ${qmake_install_target} \
- install_{syncqt,mkspecs} \
- ${global_docs_install_target}
+ sub-qmake-qmake-aux-pro-install_subtargets \
+ install_{syncqt,mkspecs}
einfo "Running $*"
"$@"
@@ -585,7 +567,7 @@ qt5_base_configure() {
# prefer system libraries (only common hard deps here)
-system-zlib
-system-pcre
- $([[ ${QT5_MINOR_VERSION} -ge 7 ]] && echo -system-doubleconversion)
+ -system-doubleconversion
# disable everything to prevent automagic deps (part 1)
-no-mtdev
@@ -603,7 +585,7 @@ qt5_base_configure() {
-glib
# disable everything to prevent automagic deps (part 2)
- $([[ ${QT5_MINOR_VERSION} -ge 7 ]] && echo -no-gtk || echo -no-gtkstyle)
+ -no-gtk
$([[ ${QT5_MINOR_VERSION} -lt 8 ]] && echo -no-pulseaudio -no-alsa)
# exclude examples and tests from default build